<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from optkelley_levmar.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="optkelley_levmar" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 02-Jun-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>optkelley_levmar</refname><refpurpose>Levenberg-Marquardt.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [x,histout,costdata] = optkelley_levmar(x0,f,tol,maxit)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x0:</term>
      <listitem><para> initial iterate</para></listitem></varlistentry>
   <varlistentry><term>f:</term>
      <listitem><para> r^T r/2 = objective function, the calling sequence for f should be [fout,gout,jac]=f(x) where fout=f(x) is a scalar gout = jac^T r = grad f(x) is a COLUMN vector and jac = r' = Jacobian of r is an M x N matrix</para></listitem></varlistentry>
   <varlistentry><term>tol:</term>
      <listitem><para> termination criterion norm(grad) &lt; tol</para></listitem></varlistentry>
   <varlistentry><term>maxit:</term>
      <listitem><para> maximum iterations (optional) default = 100</para></listitem></varlistentry>
   <varlistentry><term>x:</term>
      <listitem><para> solution</para></listitem></varlistentry>
   <varlistentry><term>histout:</term>
      <listitem><para> iteration history. Each row of histout is [norm(grad), f, number of stepsize cuts, iteration count]</para></listitem></varlistentry>
   <varlistentry><term>costdata:</term>
      <listitem><para> [num f, num grad, num hess] (for levmar, num hess=0)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Trust region control of LM parameter.
This code comes with no guarantee or warranty of any kind.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>C. T. Kelley, Dec 14, 1997</member>
   <member>Yann Collette, Scilab port</member>
   <member>Michael Baudin, DIGITEO, 2010, Update to Scilab 5.2, formatted comments</member>
   </simplelist>
</refsection>
</refentry>
